%define name		jmx
%define version		1.1
%define cvs_version	1_1
%define release		1jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define section		non-free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Java Management Extensions
License:	Sun Binary Code License
Url:		http://java.sun.com/products/%{name}
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	%{name}-%{cvs_version}-ri.zip
NoSource:	0
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
JavaTM Management Extensions (JMX) represent a universal, 
open technology for management, and monitoring ready
to be deployed across all industries, wherever management 
and/or monitoring is/are or will be needed.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{name}_%{version}_ri_bin
# fix files perms
chmod -R go=u-w *

%build

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 lib/%{name}ri.jar $RPM_BUILD_ROOT%{javadir}/%{name}ri-%{version}.jar
install -m 644 lib/%{name}tools.jar $RPM_BUILD_ROOT%{javadir}/%{name}tools-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for file in *.jar; do ln -sf $file `basename $file -%{version}.jar`.jar;done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr doc/api/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{javadir}/*.jar

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%changelog
* Thu Jun 20 2002 Henri Gomez <hgomez@slib.fr> 1.1-1jpp
- Initial release
